package com.miya.mpos.widget.dialog;

import android.content.Context;
import android.view.Gravity;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;

import com.jakewharton.rxbinding.view.RxView;
import com.miya.iot.sco.core.broadcast.StandardBroadcastInstance;
import com.miya.iot.sco.core.utils.ContextUtils;
import com.miya.mpos.R;

import java.util.concurrent.TimeUnit;

import rx.functions.Action1;

/**
 * Created by pupu on 2019-06-26
 * 佛祖开光，永无bug
 * God bless U
 */
public class CancelOrderDialog extends BaseDialog {


    TextView tvCancel, tvOk;

    public CancelOrderDialog(Context context) {
        super(context);
        initWindow();
        setContentView(R.layout.dialog_cancel_order);

        //find view
        tvCancel = findViewById(R.id.tvCancel);
        tvOk = findViewById(R.id.tvOk);

        //set click events
        tvCancel.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
            }
        });

        RxView.clicks(tvOk)
                .throttleFirst(1500, TimeUnit.MILLISECONDS)
                .subscribe(new Action1<Void>() {
                    @Override
                    public void call(Void aVoid) {
                        //send broadcast
                        StandardBroadcastInstance.sendUpdateOperateTimeBroadcast(ContextUtils.getContext());
                        StandardBroadcastInstance.sendCancelOrderBroadcast(ContextUtils.getContext());
                    }
                }, new Action1<Throwable>() {
                    @Override
                    public void call(Throwable throwable) {
                        throwable.printStackTrace();
                    }
                });
    }

    private void initWindow() {
        Window win = this.getWindow();
        win.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams lp = win.getAttributes();
        lp.width = WindowManager.LayoutParams.MATCH_PARENT;
        lp.height = WindowManager.LayoutParams.WRAP_CONTENT;
        lp.gravity = Gravity.CENTER;
        win.setAttributes(lp);
        win.setBackgroundDrawableResource(android.R.color.transparent);
    }
}
